=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-12-15 18:33:47 +0000
+++ drizzled/drizzled.cc	2008-12-16 23:22:36 +0000
@@ -286,7 +286,6 @@
 handlerton *heap_hton;
 handlerton *myisam_hton;
 
-bool opt_readonly;
 bool use_temp_pool;
 bool relay_log_purge;
 char* opt_secure_file_priv= 0;
@@ -2755,7 +2754,7 @@
   OPT_RECORD_RND_BUFFER, OPT_DIV_PRECINCREMENT, OPT_RELAY_LOG_SPACE_LIMIT,
   OPT_RELAY_LOG_PURGE,
   OPT_SLAVE_NET_TIMEOUT, OPT_SLAVE_COMPRESSED_PROTOCOL, OPT_SLOW_LAUNCH_TIME,
-  OPT_SLAVE_TRANS_RETRIES, OPT_READONLY, OPT_DEBUGGING,
+  OPT_SLAVE_TRANS_RETRIES, OPT_DEBUGGING,
   OPT_SORT_BUFFER, OPT_TABLE_OPEN_CACHE, OPT_TABLE_DEF_CACHE,
   OPT_THREAD_CONCURRENCY, OPT_THREAD_CACHE_SIZE,
   OPT_TMP_TABLE_SIZE, OPT_THREAD_STACK,
@@ -3503,12 +3502,6 @@
     (char**) &max_system_variables.read_buff_size,0, GET_UINT, REQUIRED_ARG,
     128*1024L, IO_SIZE*2+MALLOC_OVERHEAD, INT32_MAX, MALLOC_OVERHEAD, IO_SIZE,
     0},
-  {"read_only", OPT_READONLY,
-   N_("Make all non-temporary tables read-only, with the exception for "
-      "replication (slave) threads and users with the SUPER privilege"),
-   (char**) &opt_readonly,
-   (char**) &opt_readonly,
-   0, GET_BOOL, NO_ARG, 0, 0, 1, 0, 1, 0},
   {"read_rnd_buffer_size", OPT_RECORD_RND_BUFFER,
    N_("When reading rows in sorted order after a sort, the rows are read "
       "through this buffer to avoid a disk seeks. If not set, then it's set "

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-12-15 09:46:49 +0000
+++ drizzled/handler.cc	2008-12-16 23:22:36 +0000
@@ -702,17 +702,6 @@
       return(1);
     }
 
-    if (   is_real_trans
-        && opt_readonly
-        && ! session->slave_thread
-       )
-    {
-      my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--read-only");
-      ha_rollback_trans(session, all);
-      error= 1;
-      goto end;
-    }
-
     must_2pc= ha_check_and_coalesce_trx_read_only(session, ha_info, all);
 
     if (!trans->no_2pc && must_2pc)

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2008-12-10 07:43:50 +0000
+++ drizzled/lock.cc	2008-12-16 23:22:36 +0000
@@ -108,7 +108,6 @@
     count                       The number of tables to lock.
     flags                       Options:
       DRIZZLE_LOCK_IGNORE_GLOBAL_READ_LOCK      Ignore a global read lock
-      DRIZZLE_LOCK_IGNORE_GLOBAL_READ_ONLY      Ignore SET GLOBAL READ_ONLY
       DRIZZLE_LOCK_IGNORE_FLUSH                 Ignore a flush tables.
       DRIZZLE_LOCK_NOTIFY_IF_NEED_REOPEN        Instead of reopening altered
                                               or dropped tables by itself,
@@ -202,20 +201,6 @@
       }
     }
 
-    if (!(flags & DRIZZLE_LOCK_IGNORE_GLOBAL_READ_ONLY) &&
-        write_lock_used &&
-        opt_readonly &&
-        !session->slave_thread)
-    {
-      /*
-	Someone has issued SET GLOBAL READ_ONLY=1 and we want a write lock.
-        We do not wait for READ_ONLY=0, and fail.
-      */
-      reset_lock_data_and_free(&sql_lock);
-      my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--read-only");
-      break;
-    }
-
     session->set_proc_info("System lock");
     if (sql_lock->table_count && lock_external(session, sql_lock->table,
                                                sql_lock->table_count))

=== modified file 'drizzled/lock.h'
--- drizzled/lock.h	2008-12-10 07:43:50 +0000
+++ drizzled/lock.h	2008-12-16 23:22:36 +0000
@@ -34,7 +34,6 @@
 #define DRIZZLE_LOCK_IGNORE_FLUSH                 0x0002
 #define DRIZZLE_LOCK_NOTIFY_IF_NEED_REOPEN        0x0004
 #define DRIZZLE_OPEN_TEMPORARY_ONLY               0x0008
-#define DRIZZLE_LOCK_IGNORE_GLOBAL_READ_ONLY      0x0010
 #define DRIZZLE_LOCK_PERF_SCHEMA                  0x0020
 
 void mysql_unlock_tables(Session *session, DRIZZLE_LOCK *sql_lock);

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-12-15 18:33:47 +0000
+++ drizzled/set_var.cc	2008-12-16 23:22:36 +0000
@@ -299,7 +299,6 @@
                                                       &SV::preload_buff_size);
 static sys_var_session_uint32_t sys_read_buff_size(&vars, "read_buffer_size",
                                                    &SV::read_buff_size);
-static sys_var_opt_readonly	sys_readonly(&vars, "read_only", &opt_readonly);
 static sys_var_session_uint32_t	sys_read_rnd_buff_size(&vars, "read_rnd_buffer_size",
                                                        &SV::read_rnd_buff_size);
 static sys_var_session_uint32_t	sys_div_precincrement(&vars, "div_precision_increment",
@@ -3033,68 +3032,6 @@
   return 0;
 }
 
-
-bool sys_var_opt_readonly::update(Session *session, set_var *var)
-{
-  bool result;
-
-  /* Prevent self dead-lock */
-  if (session->locked_tables || session->active_transaction())
-  {
-    my_error(ER_LOCK_OR_ACTIVE_TRANSACTION, MYF(0));
-    return(true);
-  }
-
-  if (session->global_read_lock)
-  {
-    /*
-      This connection already holds the global read lock.
-      This can be the case with:
-      - FLUSH TABLES WITH READ LOCK
-      - SET GLOBAL READ_ONLY = 1
-    */
-    result= sys_var_bool_ptr::update(session, var);
-    return(result);
-  }
-
-  /*
-    Perform a 'FLUSH TABLES WITH READ LOCK'.
-    This is a 3 step process:
-    - [1] lock_global_read_lock()
-    - [2] close_cached_tables()
-    - [3] make_global_read_lock_block_commit()
-    [1] prevents new connections from obtaining tables locked for write.
-    [2] waits until all existing connections close their tables.
-    [3] prevents transactions from being committed.
-  */
-
-  if (lock_global_read_lock(session))
-    return(true);
-
-  /*
-    This call will be blocked by any connection holding a READ or WRITE lock.
-    Ideally, we want to wait only for pending WRITE locks, but since:
-    con 1> LOCK TABLE T FOR READ;
-    con 2> LOCK TABLE T FOR WRITE; (blocked by con 1)
-    con 3> SET GLOBAL READ ONLY=1; (blocked by con 2)
-    can cause to wait on a read lock, it's required for the client application
-    to unlock everything, and acceptable for the server to wait on all locks.
-  */
-  if ((result= close_cached_tables(session, NULL, false, true, true)) == true)
-    goto end_with_read_lock;
-
-  if ((result= make_global_read_lock_block_commit(session)) == true)
-    goto end_with_read_lock;
-
-  /* Change the opt_readonly system variable, safe because the lock is held */
-  result= sys_var_bool_ptr::update(session, var);
-
-end_with_read_lock:
-  /* Release the lock */
-  unlock_global_read_lock(session);
-  return(result);
-}
-
 /****************************************************************************
   Used templates
 ****************************************************************************/

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2008-12-12 20:40:37 +0000
+++ drizzled/set_var.h	2008-12-16 23:22:36 +0000
@@ -988,21 +988,6 @@
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
 };
 
-/**
-  Handler for setting the system variable --read-only.
-*/
-
-class sys_var_opt_readonly :public sys_var_bool_ptr
-{
-public:
-  sys_var_opt_readonly(sys_var_chain *chain, const char *name_arg,
-                       bool *value_arg) :
-    sys_var_bool_ptr(chain, name_arg, value_arg) {};
-  ~sys_var_opt_readonly() {};
-  bool update(Session *session, set_var *var);
-};
-
-
 class sys_var_session_lc_time_names :public sys_var_session
 {
 public:

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-12-15 07:27:18 +0000
+++ drizzled/sql_parse.cc	2008-12-16 23:22:36 +0000
@@ -145,20 +145,6 @@
   return false;
 }
 
-
-static bool some_non_temp_table_to_be_updated(Session *session, TableList *tables)
-{
-  for (TableList *table= tables; table; table= table->next_global)
-  {
-    assert(table->db && table->table_name);
-    if (table->updating &&
-        !find_temporary_table(session, table->db, table->table_name))
-      return 1;
-  }
-  return 0;
-}
-
-
 /**
   Mark all commands that somehow changes a table.
 
@@ -432,66 +418,6 @@
 }
 
 /**
-  Determine if an attempt to update a non-temporary table while the
-  read-only option was enabled has been made.
-
-  This is a helper function to mysql_execute_command.
-
-  @note SQLCOM_MULTI_UPDATE is an exception and dealt with elsewhere.
-
-  @see mysql_execute_command
-
-  @returns Status code
-    @retval true The statement should be denied.
-    @retval false The statement isn't updating any relevant tables.
-*/
-
-static bool deny_updates_if_read_only_option(Session *session,
-                                                TableList *all_tables)
-{
-  if (!opt_readonly)
-    return(false);
-
-  LEX *lex= session->lex;
-
-  if (!(sql_command_flags[lex->sql_command].test(CF_BIT_CHANGES_DATA)))
-    return(false);
-
-  /* Multi update is an exception and is dealt with later. */
-  if (lex->sql_command == SQLCOM_UPDATE_MULTI)
-    return(false);
-
-  const bool create_temp_tables=
-    (lex->sql_command == SQLCOM_CREATE_TABLE) &&
-    (lex->create_info.options & HA_LEX_CREATE_TMP_TABLE);
-
-  const bool drop_temp_tables=
-    (lex->sql_command == SQLCOM_DROP_TABLE) &&
-    lex->drop_temporary;
-
-  const bool update_real_tables=
-    some_non_temp_table_to_be_updated(session, all_tables) &&
-    !(create_temp_tables || drop_temp_tables);
-
-
-  const bool create_or_drop_databases=
-    (lex->sql_command == SQLCOM_CREATE_DB) ||
-    (lex->sql_command == SQLCOM_DROP_DB);
-
-  if (update_real_tables || create_or_drop_databases)
-  {
-      /*
-        An attempt was made to modify one or more non-temporary tables.
-      */
-      return(true);
-  }
-
-
-  /* Assuming that only temporary tables are modified. */
-  return(false);
-}
-
-/**
   Perform one connection-level (COM_XXXX) command.
 
   @param command         type of command to perform
@@ -1141,18 +1067,7 @@
       return(0);
     }
   }
-  else
-  {
-    /*
-      When option readonly is set deny operations which change non-temporary
-      tables. Except for the replication thread and the 'super' users.
-    */
-    if (deny_updates_if_read_only_option(session, all_tables))
-    {
-      my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--read-only");
-      return(-1);
-    }
-  } /* endif unlikely slave */
+
   status_var_increment(session->status_var.com_stat[lex->sql_command]);
 
   assert(session->transaction.stmt.modified_non_trans_table == false);
@@ -1693,12 +1608,7 @@
     {
       if (res)
         break;
-      if (opt_readonly &&
-	  some_non_temp_table_to_be_updated(session, all_tables))
-      {
-	my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--read-only");
-	break;
-      }
+
     }  /* unlikely */
 
     res= mysql_multi_update(session, all_tables,

=== removed file 'tests/suite/broken/r/read_only.result'
--- tests/suite/broken/r/read_only.result	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/r/read_only.result	1970-01-01 00:00:00 +0000
@@ -1,127 +0,0 @@
-DROP TABLE IF EXISTS t1,t2,t3;
-grant CREATE, SELECT, DROP on *.* to test@localhost;
-set global read_only=0;
-create table t1 (a int);
-insert into t1 values(1);
-create table t2 select * from t1;
-set global read_only=1;
-create table t3 (a int);
-drop table t3;
-select @@global.read_only;
-@@global.read_only
-1
-create table t3 (a int);
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-insert into t1 values(1);
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-update t1 set a=1 where 1=0;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-update t1,t2 set t1.a=t2.a+1 where t1.a=t2.a;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-delete t1,t2 from t1,t2 where t1.a=t2.a;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-create temporary table t3 (a int);
-create temporary table t4 (a int) select * from t3;
-insert into t3 values(1);
-insert into t4 select * from t3;
-update t1,t3 set t1.a=t3.a+1 where t1.a=t3.a;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-update t1,t3 set t3.a=t1.a+1 where t1.a=t3.a;
-update t4,t3 set t4.a=t3.a+1 where t4.a=t3.a;
-delete t1 from t1,t3 where t1.a=t3.a;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-delete t3 from t1,t3 where t1.a=t3.a;
-delete t4 from t3,t4 where t4.a=t3.a;
-create temporary table t1 (a int);
-insert into t1 values(1);
-update t1,t3 set t1.a=t3.a+1 where t1.a=t3.a;
-delete t1 from t1,t3 where t1.a=t3.a;
-drop table t1;
-insert into t1 values(1);
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-set global read_only=0;
-lock table t1 write;
-lock table t2 write;
-set global read_only=1;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-unlock tables ;
-set global read_only=1;
-select @@global.read_only;
-@@global.read_only
-0
-unlock tables ;
-select @@global.read_only;
-@@global.read_only
-1
-set global read_only=0;
-lock table t1 read;
-lock table t2 read;
-set global read_only=1;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-unlock tables ;
-set global read_only=1;
-select @@global.read_only;
-@@global.read_only
-0
-unlock tables ;
-select @@global.read_only;
-@@global.read_only
-1
-set global read_only=0;
-BEGIN;
-BEGIN;
-set global read_only=1;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-ROLLBACK;
-set global read_only=1;
-select @@global.read_only;
-@@global.read_only
-1
-ROLLBACK;
-set global read_only=0;
-flush tables with read lock;
-set global read_only=1;
-unlock tables;
-set global read_only=0;
-flush tables with read lock;
-set global read_only=1;
-select @@global.read_only;
-@@global.read_only
-1
-unlock tables;
-drop temporary table ttt;
-ERROR 42S02: Unknown table 'ttt'
-drop temporary table if exists ttt;
-Warnings:
-Note	1051	Unknown table 'ttt'
-set global read_only=0;
-drop table t1,t2;
-drop user test@localhost;
-#
-# Bug #27440 read_only allows create and drop database
-#
-set global read_only= 1;
-drop database if exists mysqltest_db1;
-drop database if exists mysqltest_db2;
-delete from mysql.user where User like 'mysqltest_%';
-delete from mysql.db where User like 'mysqltest_%';
-delete from mysql.tables_priv where User like 'mysqltest_%';
-delete from mysql.columns_priv where User like 'mysqltest_%';
-flush privileges;
-grant all on mysqltest_db2.* to `mysqltest_u1`@`%`;
-create database mysqltest_db1;
-grant all on mysqltest_db1.* to `mysqltest_u1`@`%`;
-flush privileges;
-create database mysqltest_db2;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-show databases like '%mysqltest_db2%';
-Database (%mysqltest_db2%)
-drop database mysqltest_db1;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-delete from mysql.user where User like 'mysqltest_%';
-delete from mysql.db where User like 'mysqltest_%';
-delete from mysql.tables_priv where User like 'mysqltest_%';
-delete from mysql.columns_priv where User like 'mysqltest_%';
-flush privileges;
-drop database mysqltest_db1;
-set global read_only=0;

=== removed file 'tests/suite/broken/r/read_only_innodb.result'
--- tests/suite/broken/r/read_only_innodb.result	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/r/read_only_innodb.result	1970-01-01 00:00:00 +0000
@@ -1,18 +0,0 @@
-DROP TABLE IF EXISTS table_11733 ;
-grant CREATE, SELECT, DROP on *.* to test@localhost;
-set global read_only=0;
-create table table_11733 (a int) engine=InnoDb;
-BEGIN;
-insert into table_11733 values(11733);
-set global read_only=1;
-select @@global.read_only;
-@@global.read_only
-1
-select * from table_11733 ;
-a
-11733
-COMMIT;
-ERROR HY000: The MySQL server is running with the --read-only option so it cannot execute this statement
-set global read_only=0;
-drop table table_11733 ;
-drop user test@localhost;

=== removed file 'tests/suite/broken/t/read_only.test'
--- tests/suite/broken/t/read_only.test	2008-10-18 15:43:20 +0000
+++ tests/suite/broken/t/read_only.test	1970-01-01 00:00:00 +0000
@@ -1,257 +0,0 @@
-# Test of the READ_ONLY global variable:
-# check that it blocks updates unless they are only on temporary tables.
-
---disable_warnings
-DROP TABLE IF EXISTS t1,t2,t3;
---enable_warnings
-
-# READ_ONLY does nothing to SUPER users
-# so we use a non-SUPER one:
-
-connect (con1,localhost,test,,test);
-
-connection default;
-
-set global read_only=0;
-
-connection con1;
-
-create table t1 (a int);
-
-insert into t1 values(1);
-
-create table t2 select * from t1;
-
-connection default;
-
-set global read_only=1;
-
-# We check that SUPER can:
-
-create table t3 (a int);
-drop table t3;
-
-connection con1;
-
-select @@global.read_only;
-
---error 1290
-create table t3 (a int);
-
---error 1290
-insert into t1 values(1);
-
-# if a statement, after parse stage, looks like it will update a
-# non-temp table, it will be rejected, even if at execution it would
-# have turned out that 0 rows would be updated
---error 1290
-update t1 set a=1 where 1=0;
-
-# multi-update is special (see sql_parse.cc) so we test it
---error 1290
-update t1,t2 set t1.a=t2.a+1 where t1.a=t2.a;
-
-# check multi-delete to be sure
---error 1290
-delete t1,t2 from t1,t2 where t1.a=t2.a;
-
-# With temp tables updates should be accepted:
-
-create temporary table t3 (a int);
-
-create temporary table t4 (a int) select * from t3;
-
-insert into t3 values(1);
-
-insert into t4 select * from t3;
-
-# a non-temp table updated:
---error 1290
-update t1,t3 set t1.a=t3.a+1 where t1.a=t3.a;
-
-# no non-temp table updated (just swapped):
-update t1,t3 set t3.a=t1.a+1 where t1.a=t3.a;
-
-update t4,t3 set t4.a=t3.a+1 where t4.a=t3.a;
-
---error 1290
-delete t1 from t1,t3 where t1.a=t3.a;
-
-delete t3 from t1,t3 where t1.a=t3.a;
-
-delete t4 from t3,t4 where t4.a=t3.a;
-
-# and even homonymous ones
-
-create temporary table t1 (a int);
-
-insert into t1 values(1);
-
-update t1,t3 set t1.a=t3.a+1 where t1.a=t3.a;
-
-delete t1 from t1,t3 where t1.a=t3.a;
-
-drop table t1;
-
---error 1290
-insert into t1 values(1);
-
-#
-# BUG#11733: COMMITs should not happen if read-only is set
-#
-
-# LOCK TABLE ... WRITE / READ_ONLY
-# - is an error in the same connection
-# - is ok in a different connection
-
-connection default;
-set global read_only=0;
-lock table t1 write;
-
-connection con1;
-lock table t2 write;
-
-connection default;
---error ER_LOCK_OR_ACTIVE_TRANSACTION
-set global read_only=1;
-unlock tables ;
-# The following call blocks until con1 releases the write lock.
-# Blocking is expected.
-send set global read_only=1;
-
-connection con1;
---sleep 1
-select @@global.read_only;
-unlock tables ;
---sleep 1
-select @@global.read_only;
-
-connection default;
-reap;
-
-# LOCK TABLE ... READ / READ_ONLY
-# - is an error in the same connection
-# - is ok in a different connection
-
-connection default;
-set global read_only=0;
-lock table t1 read;
-
-connection con1;
-lock table t2 read;
-
-connection default;
---error ER_LOCK_OR_ACTIVE_TRANSACTION
-set global read_only=1;
-unlock tables ;
-# The following call blocks until con1 releases the read lock.
-# Blocking is a limitation, and could be improved.
-send set global read_only=1;
-
-connection con1;
---sleep 1
-select @@global.read_only;
-unlock tables ;
---sleep 1
-select @@global.read_only;
-
-connection default;
-reap;
-
-# pending transaction / READ_ONLY
-# - is an error in the same connection
-# - is ok in a different connection
-
-connection default;
-set global read_only=0;
-BEGIN;
-
-connection con1;
-BEGIN;
-
-connection default;
---error ER_LOCK_OR_ACTIVE_TRANSACTION
-set global read_only=1;
-ROLLBACK;
-set global read_only=1;
-
-connection con1;
-select @@global.read_only;
-ROLLBACK;
-
-# Verify that FLUSH TABLES WITH READ LOCK do not block READ_ONLY
-# - in the same SUPER connection
-# - in another SUPER connection
-
-connection default;
-set global read_only=0;
-flush tables with read lock;
-set global read_only=1;
-unlock tables;
-
-connect (root2,localhost,root,,test);
-
-connection default;
-set global read_only=0;
-flush tables with read lock;
-
-connection root2;
-set global read_only=1;
-
-connection default;
-select @@global.read_only;
-unlock tables;
-
-# BUG #22077 "DROP TEMPORARY TABLE fails with wrong error if read_only is set"
-#
-# check if DROP TEMPORARY on a non-existing temporary table returns the right
-# error
-
---error ER_BAD_TABLE_ERROR
-drop temporary table ttt;
-
-# check if DROP TEMPORARY TABLE IF EXISTS produces a warning with read_only set
-drop temporary table if exists ttt;
-
-#
-# Cleanup
-#
-connection default;
-set global read_only=0;
-drop table t1,t2;
-drop user test@localhost;
---echo #
---echo # Bug #27440 read_only allows create and drop database
---echo #
-set global read_only= 1;
---disable_warnings
-drop database if exists mysqltest_db1;
-drop database if exists mysqltest_db2;
---enable_warnings
-
-delete from mysql.user where User like 'mysqltest_%';
-delete from mysql.db where User like 'mysqltest_%';
-delete from mysql.tables_priv where User like 'mysqltest_%';
-delete from mysql.columns_priv where User like 'mysqltest_%';
-flush privileges;
-
-grant all on mysqltest_db2.* to `mysqltest_u1`@`%`;
-create database mysqltest_db1;
-grant all on mysqltest_db1.* to `mysqltest_u1`@`%`;
-flush privileges;
-connect (con_bug27440,127.0.0.1,mysqltest_u1,,test,$MASTER_MYPORT,);
-connection con_bug27440;
---error ER_OPTION_PREVENTS_STATEMENT
-create database mysqltest_db2;
-show databases like '%mysqltest_db2%';
---error ER_OPTION_PREVENTS_STATEMENT
-drop database mysqltest_db1;
-disconnect con_bug27440;
-connection default;
-delete from mysql.user where User like 'mysqltest_%';
-delete from mysql.db where User like 'mysqltest_%';
-delete from mysql.tables_priv where User like 'mysqltest_%';
-delete from mysql.columns_priv where User like 'mysqltest_%';
-flush privileges;
-drop database mysqltest_db1;
-set global read_only=0;

=== removed file 'tests/suite/broken/t/read_only_innodb.test'
--- tests/suite/broken/t/read_only_innodb.test	2008-06-30 06:46:40 +0000
+++ tests/suite/broken/t/read_only_innodb.test	1970-01-01 00:00:00 +0000
@@ -1,41 +0,0 @@
--- source include/have_innodb.inc
-
-#
-# BUG#11733: COMMITs should not happen if read-only is set
-#
-
---disable_warnings
-DROP TABLE IF EXISTS table_11733 ;
---enable_warnings
-
-# READ_ONLY does nothing to SUPER users
-# so we use a non-SUPER one:
-
-grant CREATE, SELECT, DROP on *.* to test@localhost;
-
-connect (con1,localhost,test,,test);
-
-connection default;
-set global read_only=0;
-
-# Any transactional engine will do
-create table table_11733 (a int) engine=InnoDb;
-
-connection con1;
-BEGIN;
-insert into table_11733 values(11733);
-
-connection default;
-set global read_only=1;
-
-connection con1;
-select @@global.read_only;
-select * from table_11733 ;
--- error ER_OPTION_PREVENTS_STATEMENT
-COMMIT;
-
-connection default;
-set global read_only=0;
-drop table table_11733 ;
-drop user test@localhost;
-

